var powerful_starwell_structure = [["aba","bcb","ama"],["ded","efe","ded"],["geg","efe","geg"],["hih","i i","hih"]]
var powerful_starwell_structure_dictionary = {"a":"astralsorcery:starmetal","b":"kubejs:gilded_marble","c":"astralsorcery:black_marble_runed","d":"astralsorcery:black_marble_pillar[pillartype=bottom,waterlogged=false]","e":"kubejs:powerful_starwell_casing","f":"astralsorcery:liquid_starlight[level=0]","g":"astralsorcery:black_marble_pillar[pillartype=top,waterlogged=false]","h":"kubejs:aquamarine_block","i":"astralsorcery:black_marble_slab[type=bottom,waterlogged=false]"}

onEvent('recipes', event => {

    //Water
    
    //from Snow
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 100)
        .produceFluidPerTick(Fluid.of("minecraft:water", 5))
        .requireItem(Item.of("minecraft:snow_block", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Ice
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 100)
        .produceFluidPerTick(Fluid.of("minecraft:water", 10))
        .requireItem(Item.of("minecraft:ice", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Packed Ice
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 100)
        .produceFluidPerTick(Fluid.of("minecraft:water", 50))
        .requireItem(Item.of("minecraft:packed_ice", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)



    //Lava

    //from Netherrack
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 100)
        .produceFluidPerTick(Fluid.of("minecraft:lava", 5))
        .requireItem(Item.of("minecraft:netherrack", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Magma Block
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 100)
        .produceFluidPerTick(Fluid.of("minecraft:lava", 20))
        .requireItem(Item.of("minecraft:magma_block", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)



    //Liquid Starlight

    //from Aquamarine
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 5))
        .requireItem(Item.of("astralsorcery:aquamarine", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Shining Gem
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 10))
        .requireItem(Item.of("kubejs:shining_gem", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Rock Crystal
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 15))
        .requireItem(Item.of("astralsorcery:rock_crystal", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Attuned Rock Crystal
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 30))
        .requireItem(Item.of("astralsorcery:attuned_rock_crystal", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Resonating Gem
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 20))
        .requireItem(Item.of("astralsorcery:resonating_gem", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Briliant Gem
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 30))
        .requireItem(Item.of("kubejs:briliant_gem", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Celestial Crystal
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 60))
        .requireItem(Item.of("astralsorcery:celestial_crystal", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

    //from Attuned Celestial Crystal
    event.recipes.custommachinery.custom_machine("modpack:powerful_starwell", 50)
        .produceFluidPerTick(Fluid.of("astralsorcery:liquid_starlight", 75))
        .requireItem(Item.of("astralsorcery:attuned_celestial_crystal", 1))
        .requireStructure(powerful_starwell_structure, powerful_starwell_structure_dictionary)

})